OggFLAC::Decoder::File class Reference

Main Page Modules Class Hierarchy Alphabetical List Compound List File List Compound Members File Members

# OggFLAC::Decoder::File Class Reference
[OggFLAC++/decoder.h: file decoder class]

`#include <decoder.h>`

List of all members.

## Public Methods

| File ()
virtual | ~File ()
bool | is_valid () const
| operator bool () const
bool | set_serial_number (long value)
bool | set_md5_checking (bool value)
bool | set_filename (const char *value)
| 'value' may not be `NULL`; use "-" for stdin.
bool | set_metadata_respond (::FLAC__MetadataType type)
bool | set_metadata_respond_application (const FLAC__byte id[4])
bool | set_metadata_respond_all ()
bool | set_metadata_ignore (::FLAC__MetadataType type)
bool | set_metadata_ignore_application (const FLAC__byte id[4])
bool | set_metadata_ignore_all ()
State | get_state () const
OggFLAC::Decoder::SeekableStream::State | get_seekable_stream_decoder_state () const
OggFLAC::Decoder::Stream::State | get_stream_decoder_state () const
FLAC::Decoder::Stream::State | get_FLAC_stream_decoder_state () const
bool | get_md5_checking () const
unsigned | get_channels () const
::FLAC__ChannelAssignment | get_channel_assignment () const
unsigned | get_bits_per_sample () const
unsigned | get_sample_rate () const
unsigned | get_blocksize () const
State | init ()
bool | finish ()
bool | process_single ()
bool | process_until_end_of_metadata ()
bool | process_until_end_of_file ()
bool | seek_absolute (FLAC__uint64 sample)

## Protected Methods

virtual::FLAC__StreamDecoderWriteStatus | write_callback (const::FLAC__Frame *frame, const FLAC__int32 *const buffer[])=0
virtual void | metadata_callback (const::FLAC__StreamMetadata *metadata)=0
virtual void | error_callback (::FLAC__StreamDecoderErrorStatus status)=0

## Protected Attributes

::OggFLAC__FileDecoder * | decoder_

## Detailed Description

This class wraps the OggFLAC__FileDecoder.

The documentation for this class was generated from the following file:

- include/OggFLAC++/decoder.h